//
//  CustomLegend.m
//  iGChart_LegendWithCustomMarkers
//
//  Created by IGUser on 5/15/14.
//  Copyright (c) 2014 MMAcademy. All rights reserved.
//

#import "CustomLegend.h"


@implementation CustomLegend

-(UIImage*)screenShotOf:(UIView*)view
{
    UIGraphicsBeginImageContext(view.frame.size);
    CGContextRef context = UIGraphicsGetCurrentContext();
    [view.layer renderInContext:context];
    UIImage * img = UIGraphicsGetImageFromCurrentImageContext();
    UIGraphicsEndImageContext();
    return img;
}


-(void)buildItemViews:(NSMutableArray *)items

{
    
    [super buildItemViews:items];
    
    UIScrollView *scrollView = self.subviews[0];
    
    
    for(int itemIndex = 0; itemIndex < items.count; itemIndex++)
        
    {
        UIView *container = scrollView.subviews[itemIndex];
        
        UIImageView *imageView= container.subviews[1];
        
        CGRect frame = CGRectMake(0, 0, 8, 8);
        
        UIView *view = [[UIView alloc]initWithFrame:frame];
        
        switch (itemIndex) {
            case 0:
                view.backgroundColor = [UIColor redColor];
                break;
            case 1:
                view.backgroundColor = [UIColor orangeColor];
                break;
            case 2:
                view.backgroundColor = [UIColor blueColor];
                break;
                
            default:
                view.backgroundColor = [UIColor clearColor];;
        }
        
        imageView.image = [self screenShotOf:view];
    }
    
}


@end
