//
//  ViewController.h
//  iGChart_LegendWithCustomMarkers
//
//  Created by IGUser on 5/15/14.
//  Copyright (c) 2014 MMAcademy. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <IGChart/IGChart.h>
#import "CustomLegend.h"

@interface ViewController : UIViewController<IGChartViewDelegate>
{
    IGChartView *_infraChart;
    IGBubbleSeries *_firstSeries;
    IGBubbleSeries *_secondSeries;
    IGBubbleSeries *_thirdSeries;
    IGBubbleSeriesDataSourceHelper *_firstSource;
    IGBubbleSeriesDataSourceHelper *_secondSource;
    IGBubbleSeriesDataSourceHelper *_thirdSource;
}
@end
@interface DataModel : NSObject
@property (nonatomic) double _xValue;
@property (nonatomic) double _yValue;
@property (nonatomic) double _radius;
-(DataModel *)initWithXValue: (double)xValue yValue:(double)yValue andRadius: (double)radius;
@end
